aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-20 12:45:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-20 12:48:07 +0000
commit34cf1842fe9ecfa0091bc37d885311a8ad2fcd4b (patch)
tree05f35f37455438574dc1069f2acea0a5858c0189 /main
parent613424a75b231bd98a499241d5d7cbee099843ed (diff)
downloadaports-34cf1842fe9ecfa0091bc37d885311a8ad2fcd4b.tar.gz
aports-34cf1842fe9ecfa0091bc37d885311a8ad2fcd4b.tar.bz2
aports-34cf1842fe9ecfa0091bc37d885311a8ad2fcd4b.tar.xz
main/openntpd: use /etc for config
Diffstat (limited to 'main')
-rw-r--r--main/openntpd/APKBUILD19
-rw-r--r--main/openntpd/openntpd.confd (renamed from main/openntpd/openntpd.conf.d)0
-rw-r--r--main/openntpd/openntpd.initd (renamed from main/openntpd/openntpd.rc)0
3 files changed, 10 insertions, 9 deletions
diff --git a/main/openntpd/APKBUILD b/main/openntpd/APKBUILD
index 38c11ca514..fb55acc660 100644
--- a/main/openntpd/APKBUILD
+++ b/main/openntpd/APKBUILD
@@ -14,9 +14,8 @@ license=BSD
source="
ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/openntpd-$_myver.tar.gz
openntpd-3.9p1_reconnect_on_sendto_EINVAL.diff
- openntpd.conf.d
- openntpd.rc
- $install
+ openntpd.confd
+ openntpd.initd
"
_prepare() {
@@ -27,15 +26,18 @@ _prepare() {
_compile() {
cd "$srcdir/$pkgname-$_myver"
- ./configure --prefix=/usr --mandir=/usr/share/man
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --sysconfdir=/etc \
+ || return 1
make || return 1
}
_install() {
cd "$srcdir/$pkgname-$_myver"
make install DESTDIR="$pkgdir"
- install -Dm755 ../openntpd.rc "$pkgdir/etc/init.d/ntpd"
- install -Dm644 ../openntpd.conf.d "$pkgdir/etc/conf.d/ntpd"
+ install -Dm755 ../openntpd.initd "$pkgdir/etc/init.d/ntpd"
+ install -Dm644 ../openntpd.confd "$pkgdir/etc/conf.d/ntpd"
}
@@ -44,6 +46,5 @@ build() {
}
md5sums="afc34175f38d08867c1403d9008600b3 openntpd-3.9p1.tar.gz
ae2f708b860975b64126bb316aeb6641 openntpd-3.9p1_reconnect_on_sendto_EINVAL.diff
-e3eee9eb2ea092dfdf9d887cd6df5795 openntpd.conf.d
-5000453927b7ae9943d51194c1042355 openntpd.rc
-05349f95db78fb482798b2c6d1f9c61e openntpd.pre-install"
+e3eee9eb2ea092dfdf9d887cd6df5795 openntpd.confd
+5000453927b7ae9943d51194c1042355 openntpd.initd"
diff --git a/main/openntpd/openntpd.conf.d b/main/openntpd/openntpd.confd
index 6b938dc766..6b938dc766 100644
--- a/main/openntpd/openntpd.conf.d
+++ b/main/openntpd/openntpd.confd
diff --git a/main/openntpd/openntpd.rc b/main/openntpd/openntpd.initd
index 81648dc03f..81648dc03f 100644
--- a/main/openntpd/openntpd.rc
+++ b/main/openntpd/openntpd.initd